KMSDelegationToken.KMSDelegationTokenIdentifier (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.crypto.key.kms, class: KMSDelegationToken, class: KMSDelegationTokenIdentifier

Package org.apache.hadoop.crypto.key.kms

# Class KMSDelegationToken.KMSDelegationTokenIdentifier

java.lang.Object
org.apache.hadoop.security.token.TokenIdentifier
org.apache.hadoop.security.token.delegation.AbstractDelegationTokenIdentifier
org.apache.hadoop.security.token.delegation.web.DelegationTokenIdentifier
org.apache.hadoop.crypto.key.kms.KMSDelegationToken.KMSDelegationTokenIdentifier

All Implemented Interfaces:
  `Writable`

Enclosing class:
  KMSDelegationToken

public static class KMSDelegationToken.KMSDelegationTokenIdentifier extends DelegationTokenIdentifier
DelegationTokenIdentifier used for the KMS.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KMSDelegationTokenIdentifier()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Text`
  `getKind()`
  Return the delegation token kind

  ### Methods inherited from class org.apache.hadoop.security.token.delegation.AbstractDelegationTokenIdentifier

  `equals, getIssueDate, getMasterKeyId, getMaxDate, getOwner, getRealUser, getRenewer, getSequenceNumber, getUser, hashCode, isEqual, readFields, setIssueDate, setMasterKeyId, setMaxDate, setOwner, setRealUser, setRenewer, setSequenceNumber, toString, toStringStable, write`

  ### Methods inherited from class org.apache.hadoop.security.token.TokenIdentifier

  `getBytes, getTrackingId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### KMSDelegationTokenIdentifier

    public KMSDelegationTokenIdentifier()

- ## Method Details

  - ### getKind

    public Text getKind()
    Description copied from class: `DelegationTokenIdentifier`
    Return the delegation token kind
    Overrides:
      `getKind` in class `DelegationTokenIdentifier`
    Returns:
      returns the delegation token kind